Bug 716667

Summary: Review Request: python-multiprocessing - Backport of the multiprocessing package to Python 2.4 and 2.5
Product: [Fedora] Fedora EPEL Reporter: Andrew Colin Kissa <andrew>
Component: Package ReviewAssignee: Dan Callaghan <dcallagh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: el5CC: dcallagh, fedora-package-review, notting
Target Milestone: ---Flags: dcallagh: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-12 15:30:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Andrew Colin Kissa 2011-06-26 04:33:10 EDT
Spec URL: http://topdog-software.com/oss/SRPMS/fedora/python-multiprocessing/python-multiprocessing.spec
SRPM URL: http://topdog-software.com/oss/SRPMS/fedora/python-multiprocessing/python-multiprocessing-2.6.2-1.src.rpm
Description: The multiprocessing package itself is a renamed and updated
version of R Oudkerk's pyprocessing package. This standalone
variant is intended to be compatible with Python 2.4 and 2.5,
and will draw it's fixes/improvements from python-trunk.
Comment 1 Dan Callaghan 2012-06-30 20:02:03 EDT
Andrew, are you still interested in maintaining this package? If so I can take the review.
Comment 2 Andrew Colin Kissa 2012-07-02 02:26:19 EDT
Yes, please i need this to get python-celery into EPEL5
Comment 3 Dan Callaghan 2012-07-05 20:18:55 EDT
This looks pretty good Andrew. A few issues:

* Version should be 2.6.2.1 since that is what upstream calls it.

* I see in the build output GCC complains about bunch of strict aliasing violations. You should probably add -fno-strict-aliasing in CFLAGS (or patch the strict aliasing violations :-)

* There are a bunch of example files installed into site-packages. It looks like they are also installed in %doc. And presumably they are not needed for the library to work. So these should be rm'ed in %install.

* rpmlint has a few legitimate complaints:

python-multiprocessing.x86_64: E: non-standard-executable-perm /usr/lib64/python2.4/site-packages/multiprocessing/_mmap25.so 0775L
python-multiprocessing.x86_64: E: non-executable-script /usr/lib64/python2.4/site-packages/multiprocessing/tests.py 0644L /usr/bin/env
python-multiprocessing.x86_64: E: non-standard-executable-perm /usr/lib64/python2.4/site-packages/multiprocessing/_multiprocessing.so 0775L

I'm not sure how those shared libraries ended up 0775. Maybe it is just an oddity of my mock configuration. But if the same thing happens in Koji then you could chmod them in %install.

For multiprocessing/tests.py in %install you should either remove the shebang, or change the shebang to #!/usr/bin/python and chmod it to 0755, or just rm the file entirely if it's not needed.
Comment 5 Dan Callaghan 2012-08-08 02:13:25 EDT
Looks good, Andrew. The only remaining issue is that the version should be 2.6.2.1 to match upstream. If you can fix that up then this can be approved.

Complete checklist follows:


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[-]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[-]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[?]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

Rpmlint
-------
Checking: python-multiprocessing-debuginfo-2.6.2-2.el5.x86_64.rpm
          python-multiprocessing-2.6.2-2.el5.src.rpm
          python-multiprocessing-2.6.2-2.el5.x86_64.rpm
python-multiprocessing.x86_64: E: non-standard-executable-perm /usr/lib64/python2.4/site-packages/multiprocessing/_multiprocessing.so 0775
python-multiprocessing.x86_64: E: non-standard-executable-perm /usr/lib64/python2.4/site-packages/multiprocessing/_mmap25.so 0775
3 packages and 0 specfiles checked; 2 errors, 0 warnings.

Requires
--------
python-multiprocessing-debuginfo-2.6.2-2.el5.x86_64.rpm (rpmlib, GLIBC filtered):
    

python-multiprocessing-2.6.2-2.el5.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/python  
    libc.so.6()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    python(abi) = 2.4
    rtld(GNU_HASH)  

Provides
--------
python-multiprocessing-debuginfo-2.6.2-2.el5.x86_64.rpm:
    
    _mmap25.so.debug()(64bit)  
    _multiprocessing.so.debug()(64bit)  
    python-multiprocessing-debuginfo = 2.6.2-2.el5

python-multiprocessing-2.6.2-2.el5.x86_64.rpm:
    
    _mmap25.so()(64bit)  
    _multiprocessing.so()(64bit)  
    python-multiprocessing = 2.6.2-2.el5

MD5-sum check
-------------
http://pypi.python.org/packages/source/m/multiprocessing/multiprocessing-2.6.2.1.tar.gz :
  MD5SUM this package     : 5cc484396c040102116ccc2355379c72
  MD5SUM upstream package : 5cc484396c040102116ccc2355379c72


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/bin/fedora-review --name python-multiprocessing --mock-config epel-5-x86_64 -v
External plugins:
Comment 7 Dan Callaghan 2012-08-08 07:11:40 EDT
Nice work, Andrew.

This package is APPROVED.
Comment 8 Andrew Colin Kissa 2012-08-10 08:38:11 EDT
Thanks Dan,

New Package SCM Request
=======================
Package Name: python-multiprocessing
Short Description: Backport of the multiprocessing package to Python 2.4 and 2.5
Owners: topdog
Branches: el5
InitialCC:
Comment 9 Jon Ciesla 2012-08-10 09:01:41 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-08-10 09:35:45 EDT
python-multiprocessing-2.6.2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-multiprocessing-2.6.2.1-3.el5
Comment 11 Fedora Update System 2012-08-10 14:41:48 EDT
python-multiprocessing-2.6.2.1-3.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 12 Fedora Update System 2012-09-12 15:30:29 EDT
python-multiprocessing-2.6.2.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.